# Poco::Zip

# class ZipArchive

Library: Zip
Package: Zip
Header: Poco/Zip/ZipArchive.h

## Description

A ZipArchive contains information on the content of a zip file

## Member Summary

Member Functions: fileInfoBegin, fileInfoEnd, findHeader, getZipComment, headerBegin, headerEnd

## Types

### DirectoryInfos

typedef std::map < Poco::UInt16, ZipArchiveInfo > DirectoryInfos;

### FileHeaders

typedef std::map < std::string, ZipLocalFileHeader > FileHeaders;

### FileInfos

typedef std::map < std::string, ZipFileInfo > FileInfos;

## Constructors

### ZipArchive

ZipArchive(
std::istream & in
);

Creates the ZipArchive from a file. Note that the in stream will be in state failed after the constructor is finished

### ZipArchive

ZipArchive(
std::istream & in,
ParseCallback & callback
);

Creates the ZipArchive from a file or network stream. Note that the in stream will be in state failed after the constructor is finished

## Destructor

### ~ZipArchive

~ZipArchive();

Destroys the ZipArchive.

## Member Functions

### fileInfoBegin

FileInfos::const_iterator fileInfoBegin() const;

### fileInfoEnd

FileInfos::const_iterator fileInfoEnd() const;

### findHeader

FileHeaders::const_iterator findHeader(
const std::string & fileName
) const;

### getZipComment

const std::string & getZipComment() const;

### headerBegin

FileHeaders::const_iterator headerBegin() const;

### headerEnd

FileHeaders::const_iterator headerEnd() const;